Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.rgg
Class acropetal

    java.lang.Object
      de.grogra.xl.query.Pattern
          de.grogra.xl.query.UserDefinedPattern
              de.grogra.rgg.acropetal

All Implemented Interfaces:
  XObject, BytecodeSerialization.Serializable

    public final class acropetal

extends UserDefinedPattern

Nested Class Summary

Nested classes/interfaces inherited from class de.grogra.xl.query.UserDefinedPattern
`UserDefinedPattern.In, UserDefinedPattern.Out`

Nested classes/interfaces inherited from class de.grogra.xl.query.Pattern
`Pattern.Matcher`

Field Summary

Fields inherited from class de.grogra.xl.query.Pattern
`CONTEXT_MASK, INPUT_MASK, NODE_MASK, NULL_MATCHER, OUTPUT_MASK`

Constructor Summary
`acropetal()`

Method Summary
`Pattern.Matcher` | `createMatcher(Graph src, XBitSet providedConstants, IntList neededConstantsOut)`
`int` | `getParameterKind(int index)`

Methods inherited from class de.grogra.xl.query.UserDefinedPattern
`findSignatureMethod, getSignature, getXClass, getXData, initXClass, write`

Methods inherited from class de.grogra.xl.query.Pattern
`getDeclaredParameterCount, getParameterCount, getParameterType, isDeleting, paramString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### acropetal

    public acropetal()

Method Detail

### createMatcher

    public Pattern.Matcher createMatcher(Graph src,
                                         XBitSet providedConstants,
                                         IntList neededConstantsOut)

  Specified by:
    `createMatcher` in class `Pattern`

### getParameterKind

    public int getParameterKind(int index)

  Specified by:
    `getParameterKind` in class `Pattern`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD